.lista-vertical-container {
    position: relative;
    width: fit-content;
    min-width: 150px;
    user-select: none;
    z-index: 9999;
}

.lista-vertical-botao {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--espaco-1);
    padding: var(--espaco-1);
    background-color: transparent;
    border: var(--borda-normal);
    border-radius: var(--raio-borda);
    color: var(--branco);
    cursor: pointer;
    white-space: nowrap;
    width: 100%;
    transition: border var(--transicao-rapida);
}

.lista-vertical-botao:hover {
    border: var(--borda-destaque);
}

.lista-vertical-texto {
    flex: 1;
    text-align: left;
}

.lista-vertical-seta {
    font-size: 0.8rem;
    transition: transform 0.3s;
}

.lista-vertical-seta-aberta {
    transform: rotate(180deg);
}

.lista-vertical-opcoes {
    position: absolute;
    top: calc(100% + 8px);
    bottom: auto;
    transform: translateY(-10px);
    left: 0;
    width: 100%;
    background-color: var(--preto);
    border: var(--borda-normal);
    border-radius: var(--raio-borda);
    z-index: 1000;
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: all 0.3s ease;
    padding: 0 var(--espaco-1);
    z-index: 9999;
}

.lista-vertical-opcoes-aberta {
    max-height: 300px;
    overflow-y: auto;
    opacity: 1;
    transform: translateY(0);
    padding: var(--espaco-1);
}

.lista-vertical-item {
    padding: var(--espaco-1);
    color: var(--branco);
    cursor: pointer;
    border-radius: calc(var(--raio-borda) / 2);
    transition: background 0.2s;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.lista-vertical-item:hover {
    color: var(--azul);
}

.lista-vertical-item-selecionado {
    background-color: var(--azul);
    color: var(--branco);
}

.lista-vertical-item-selecionado:hover {
    background-color: var(--azul);
    color: var(--branco);
}

.lista-vertical-container.pequeno {
    min-width: 100px;
}

.lista-vertical-container.destaque .lista-vertical-botao {
    border: var(--borda-destaque);
}
